.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding-top: rem(60);

    &__main {
        flex-grow: 1;
        padding: rem(20) 0 rem(40) 0;
    }

    @include media-breakpoint-up(md) {

    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(186);

        &__main {
            padding: rem(46) 0 rem(60) 0
        }
    }
}

.main {
    flex-grow: 1;
    padding: rem(40) 0;
}

.swiper {
    width: 100%;
    height: 100%;
}

.heading {
    text-align: center;
    font-weight: 700;
    font-size: rem(16);
    line-height: rem(23);
    margin-bottom: rem(17);

    @include media-breakpoint-up(md) {
        font-size: rem(30);
        line-height: rem(40);
    }
}

.main-modal {
    width: 100%;
    z-index: 500;
    background: $gray;
    position: relative;

    &__header {
        position: relative;
        padding: rem(30) rem(25);
    }

    &__body {
        padding: 0 rem(25) rem(10) rem(25);
    }

    &__title {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(18);
    }

    &__close {
        top: rem(25);
        right: rem(25);
        z-index: 100;
        position: absolute;
    }

    @include media-breakpoint-up(lg) {
        padding-top: rem(50);
        padding-bottom: rem(60);
    }

    @include media-breakpoint-up(lg) {
        padding-bottom: rem(97);
    }
}

.item-window {
    width: 100%;
    height: auto;
    cursor: pointer;
    padding: rem(14) 0;
    background: $white;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid $white;
    margin-bottom: rem(30);
    box-shadow: none;
    transition: .3s;

    &:hover {
        box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);
        transition: .3s;
    }


    &__image {
        width: 100px;
        height: 100px;
        flex-shrink: 0;
    }

    &.active {
        border-color: $green;
    }

    @include media-breakpoint-up(sm) {

        &__image {
            width: 140px;
            height: 140px;
        }
    }

    @include media-breakpoint-up(lg) {
        padding: rem(8);
        height: 165px;
        margin-bottom: 0;
    }

}

.img-contain {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;

}

.modal-content {
    border: none;
}

.content {
    font-weight: 500;
    font-size: rem(12);
    line-height: rem(16);

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        line-height: rem(24);
    }
}

.content-image {
    margin: 0 rem(-20) rem(14) rem(-20);

    @include media-breakpoint-up(md) {
        margin: 0 0 rem(14) 0;
    }
}

@-webkit-keyframes shake {
    0% {
        transform: rotateZ(0deg);
        -ms-transform: rotateZ(0deg);
        -webkit-transform: rotateZ(0deg);
    }
    10% {
        transform: rotateZ(-30deg);
        -ms-transform: rotateZ(-30deg);
        -webkit-transform: rotateZ(-30deg);
    }
    20% {
        transform: rotateZ(15deg);
        -ms-transform: rotateZ(15deg);
        -webkit-transform: rotateZ(15deg);
    }
    30% {
        transform: rotateZ(-10deg);
        -ms-transform: rotateZ(-10deg);
        -webkit-transform: rotateZ(-10deg);
    }
    40% {
        transform: rotateZ(7.5deg);
        -ms-transform: rotateZ(7.5deg);
        -webkit-transform: rotateZ(7.5deg);
    }
    50% {
        transform: rotateZ(-6deg);
        -ms-transform: rotateZ(-6deg);
        -webkit-transform: rotateZ(-6deg);
    }
    60% {
        transform: rotateZ(5deg);
        -ms-transform: rotateZ(5deg);
        -webkit-transform: rotateZ(5deg);
    }
    70% {
        transform: rotateZ(-4.28571deg);
        -ms-transform: rotateZ(-4.28571deg);
        -webkit-transform: rotateZ(-4.28571deg);
    }
    80% {
        transform: rotateZ(3.75deg);
        -ms-transform: rotateZ(3.75deg);
        -webkit-transform: rotateZ(3.75deg);
    }
    90% {
        transform: rotateZ(-3.33333deg);
        -ms-transform: rotateZ(-3.33333deg);
        -webkit-transform: rotateZ(-3.33333deg);
    }
    100% {
        transform: rotateZ(0deg);
        -ms-transform: rotateZ(0deg);
        -webkit-transform: rotateZ(0deg);
    }
}

@-webkit-keyframes pulse {
    0% {
        transform: scale(0.95);
    }
    70% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(0.95);
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
